events.listen("recipes", function (e) {
  function tinkerCuisson(entrée, sortie, quantité, temperature, duree) {
    e.custom({
      type: "tconstruct:melting",
      ingredient: { item: entrée },
      result: { fluid: sortie, amount: quantité },
      temperature: temperature,
      time: duree,
    });
  }

  tinkerCuisson(
    "thermal:signalum_ingot",
    "kubejs:molten_signalum",
    144,
    1000,
    60
  );
  tinkerCuisson("thermal:lumium_ingot", "kubejs:molten_lumium", 144, 1000, 60);
  tinkerCuisson(
    "thermal:enderium_ingot",
    "kubejs:molten_enderium",
    144,
    1000,
    60
  );
  tinkerCuisson("minecraft:lapis_lazuli", "kubejs:molten_lapis", 144, 1000, 60);
});
